<?php

if (!defined('_CAN_LOAD_FILES_'))
	exit;

class SendTo extends Module
{	
	function __construct()
	{
	 	$this->name = 'sendto';
	 	$this->tab = 'front_office_features';
	 	$this->version = '1.1';
		$this->author = 'froZZen';
        $this->displayName = $this->l('SendTo Social');
		
	 	parent::__construct();
		
		if ($this->id AND !Configuration::get('FRSENDTO_ID'))
			$this->warning = $this->l('You have not yet set your AddThis code');
    	$this->description = $this->l('Integrate AddThis script into your shop');
		$this->confirmUninstall = $this->l('Are you sure you want to delete your details ?');
	}
	
    function install()
    {
        if (!parent::install())
			return false;
		$this->registerHook('header');
		$this->registerHook('extraRight');
		return true;
    }
	
	function uninstall()
	{
		if (!Configuration::deleteByName('FRSENDTO_ID') OR !parent::uninstall())
			return false;
		return true;
	}
	
	public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitFrSendTo') AND ($gai = Tools::getValue('frsendto_id')))
		{
			$gai = htmlentities($gai, ENT_COMPAT, 'UTF-8');
			Configuration::updateValue('FRSENDTO_ID', $gai);
			$output .= '
			<div class="conf confirm">
				<img src="../img/admin/ok.gif" alt="" title="" />
				'.$this->l('Settings updated').'
			</div>';
		}
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		$output = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend>'.$this->l('Settings').'</legend>
				<label>'.$this->l('Your code').'</label>
				<div class="margin-form">
					<textarea name="frsendto_id" cols="90" rows="10" />'.Tools::getValue('frsendto_id', Configuration::get('FRSENDTO_ID')).'</textarea>
					<p class="clear">'.$this->l('Example:').' <br /><br /><img src="../modules/sendto/addthis_script.gif"></p>
				</div>
				<center><input type="submit" name="submitFrSendTo" value="'.$this->l('Update settings').'" class="button" /></center>			
			</fieldset>
		</form>';
		return $output;
	}

	public function hookExtraRight($params)
	{
		global $smarty;

		$output = html_entity_decode(Configuration::get('FRSENDTO_ID'), ENT_COMPAT, 'UTF-8');
		$smarty->assign('og_code', $output);

		return $this->display(__FILE__, 'sendto.tpl');
	}


	public function hookHeader($params)
	{
		global $smarty;

		$fileName = substr($_SERVER['PHP_SELF'], strlen(__PS_BASE_URI__));
		if ($fileName != 'product.php')
			return;

		if ($id = Tools::getValue('id_product')) {
			//get idLang
			$idLang = is_null($idLang) ? _USER_ID_LANG_ : (int)($idLang);
			$og_product = Db::getInstance()->getRow('
				SELECT p.`id_product`, pl.`description_short`, pl.`link_rewrite`, pl.`name`
				FROM `'._DB_PREFIX_.'product` p 
				LEFT JOIN `'._DB_PREFIX_.'product_lang` pl ON (pl.`id_product` = p.`id_product`)
				LEFT JOIN `'._DB_PREFIX_.'product_attribute` pa ON (pa.`id_product` = p.`id_product`)
				WHERE p.id_product = ' . (int)($id) . '
				AND id_lang = ' . (int)($idLang) . '
				AND pa.default_on = 1'
				);

			$smarty->assign('og_product', $og_product);

			$id_image = Product::getCover((int)$id);
			if ($id_image)
				$smarty->assign('og_have_image', $id.'-'.$id_image['id_image']);

			$og_price = Product::getPriceStatic($id, $usetax = true, $id_product_attribute = $og_product['id_product_attribute'], $decimals = 2, $divisor = NULL, $only_reduc = false, $usereduc = true, $quantity = 1, $forceAssociatedTax = true);

			$smarty->assign('og_price', $og_price);


			return $this->display(__FILE__, 'sendto_header.tpl');
		}
	}

}
